# Card

Cards contain a title and content text.&#x20;

![A simple card on a page.](/files/P3k8IzkbEJdlOefTkRbJ)

## Data Source

You can load data from an API endpoint or job. The data properties will be available as variables within your text.&#x20;

For example, if you may have an endpoint that returns data like the following.&#x20;

```powershell
@{
    FirstName = "Adam"
    LastName = "Driscoll"
}
```

You could then use the following variables within the title and content text.&#x20;

```
Hello, $FirstName $LastName! 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v3/userinterfaces/pages/card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
